## pd-iemutils 0.0.20160217

=== Makefile ===
all: iem_adaptfilt iem_dp iem_roomsim iem_spec2 iem_tab

.PHONY: all clean archive release dummy
.PHONY: iem_adaptfilt iem_dp iem_roomsim iem_spec2 iem_tab


library=iem_utils
version=0.0.$(shell date +%Y%m%d)
archivefile=$(library)-v$(version).tgz

clean:
	-find . -name "*.o" -delete
	-find . -name "*.pd_*" -delete
	-find . -name "*.dll" -delete
	-find . -name "*.tgz" -delete

dummy:
	@echo -n

archive: $(archivefile)

release: $(archivefile)
	git tag -m "released iem_utils $(version)" "v$(version)"

%.tgz: dummy
	-rm -f $@
	tar --transform "s|^|$(@:.tgz=)/|" --exclude-vcs --exclude='.gitmodules' --exclude $@ -czf $@ *

iem_adaptfilt:
	make -C iem_adaptfilt/src -f makefile_lin \
		CFLAGS="-DPD -fPIC" \
		LDFLAGS="--export-dynamic -fPIC -shared"
iem_dp iem_roomsim iem_spec2 iem_tab:
	make -C $@/src -f makefile_linux

=== debian/changelog ===
pd-iemutils (0.0.20160217-2) unstable; urgency=medium

  * Fixed path for GUI plugins
        /usr/share/pd-gui/plugins-available

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 17 Feb 2016 20:29:38 +0100

pd-iemutils (0.0.20160217-1) unstable; urgency=medium

  * Imported Upstream version 0.0.20160217
    * Refreshed patches
    * Installed renamed README
  * Fixed debian/watch
  * Added GUI plugins to pd-iemutils package
    * GUI plugins get installed into /usr/share/pd-gui/available-plugins/
    * Updated package description
    * Documented enabling of GUI plugins in README.Debian
  * Updated debian/copyright
    * Regeneratd debian/copyright_hints
  * Use https:// in Vcs-Git stanza
  * Bumped standards version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 17 Feb 2016 16:46:22 +0100

pd-iemutils (0.0.20151207-1) unstable; urgency=medium

  * Initial release (Closes: #795901)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 07 Dec 2015 21:40:24 +0100

=== debian/control ===
Source: pd-iemutils
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: puredata-dev | puredata,
 cdbs (>= 0.4.91~),
 debhelper (>= 9~),
 dh-buildinfo,
 devscripts
Standards-Version: 3.9.7
Homepage: https://git.iem.at/pd/iem_utils
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-iemutils.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-iemutils.git

Package: pd-iemutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 puredata | pd
Provides:
 pd-iemtab,
 pd-iem-adapfilt, pd-iem-roomsim, pd-iem-spec2, pd-iem-tab
Replaces: pd-iemtab
Breaks: pd-iemtab
Description: collection of general purpose objects for Pure Data
 pd-iemutils consists of a number of independent libraries
  - iem_adaptfilt (adaptive filters)
#  - iem_delay (optimized delay lines)
  - iem_roomsim (room simluation)
  - iem_spec2 (optimized frequency domain processing)
  - iem_tab (table manipulation)
 and a number of GUI plugins:
  - kiosk (run a patch in fullscreen without menubars)
  - patch2svg (export a Pd patch as an SVG graphics)
  - tclprompt (adds an interactive Tcl/Tk prompt to the Pd screen)

Package: pd-iem
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 puredata | pd
Recommends:
 pd-iemlib,
 pd-iemmatrix,
 pd-iemambi,
 pd-iemutils,
 pd-comport,
 pd-iemnet | pd-mrpeach-net,
 pd-osc,
 pd-zexy,
 pd-pduino,
 pd-windowing,
 pd-list-abs,
 pd-bsaylor,
 gem
Description: Pure Data - the IEM flavour
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package installs all packages necessary for the "iem" flavour, a
 Pd-vanilla based distribution.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for pd-iemutils

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CPPCFLAGS=$(CFLAGS) -fPIC $(CPPFLAGS)

CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

#CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^(iem_adaptfilt/doc/adapt_filt_lib\.pdf|debian/(changelog|copyright(|_hints|_newhints)))$

build/pd-iemutils:: README.iem
	make CFLAGS="-DPD $(CPPCFLAGS)" LDFLAGS="$(LDFLAGS) -export-dynamic -shared -fPIC" LD=$(CC) LIB="-lm"

.PHONY: README.iem

README.iem:
	mkdir -p readmes
	cp iem_dp/README.txt readmes/README.iem_dp
	cp iem_roomsim/READ_ME.txt readmes/README.iem_roomsim
	cp iem_spec2/READ_ME.txt readmes/README.iem_spec2
	cp iem_tab/READ_ME.txt readmes/README.iem_tab
clean::
	make clean
	rm -rf readmes

## pd-iemutils 0.0.20161027

=== Makefile ===
subprojects = iem_adaptfilt iem_dp iem_roomsim iem_spec2 iem_tab punish
all: $(subprojects)

.PHONY: all clean archive release dummy
.PHONY: $(subprojects)


library=iem_utils
version=0.0.$(shell date +%Y%m%d)
archivefile=$(library)-v$(version).tgz

IEM_CFLAGS=-DPD $(CPPFLAGS) -fPIC $(CFLAGS)
IEM_LDFLAGS=--export-dynamic -fPIC -shared $(LDFLAGS)

clean:
	-find . -name "*.o" -delete
	-find . -name "*.pd_*" -delete
	-find . -name "*.dll" -delete
	-find . -name "*.tgz" -delete

dummy:
	@echo -n

archive: $(archivefile)

release: $(archivefile)
	git tag -m "released iem_utils $(version)" "v$(version)"

%.tgz: dummy
	-rm -f $@
	tar --transform "s|^|$(@:.tgz=)/|" --exclude-vcs --exclude='.gitmodules' --exclude $@ -czf $@ *

iem_adaptfilt punish:
	$(MAKE) -C $@ \
		$(empty)
iem_dp iem_roomsim iem_spec2 iem_tab:
	$(MAKE) -C $@/src -f makefile_linux \
		CFLAGS="$(IEM_CFLAGS)" LDFLAGS="$(IEM_LDFLAGS)"

=== iem_adaptfilt/Makefile ===
#!/usr/bin/make -f
# Makefile to the 'iemguts' library for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules (https://github.com/pure-data/pd-lib-builder).

lib.name = iem_adaptfilt

# special file that does not provide a class
lib.setup.sources = src/iem_adaptfilt.c

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = $(filter-out $(lib.setup.sources),$(wildcard src/*.c))

datafiles = \
$(wildcard help/*.pd) \
AUTHORS.txt \
GnuGPL.txt \
VERSION.txt

datadirs =  doc

cflags = -DVERSION=$(shell cat VERSION.txt)

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder
PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== punish/Makefile ===
subprojects=patcherize triggerize

.PHONY: all $(subprojects)
all: $(subprojects)
$(subprojects):
	$(MAKE) -C $@-plugin

.PHONY: clean $(subprojects%=%-clean)
clean: $(subprojects:%=%-clean)
$(subprojects:%=%-clean):
	$(MAKE) -C $(@:%-clean=%-plugin) clean

=== punish/patcherize-plugin/Makefile ===
#!/usr/bin/make -f
# Makefile for pure data externals in lib creb.
# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)

lib.name = patcherize-plugin

# special file that does not provide a class
lib.setup.sources = 

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = patcherize.c

datafiles = \
$(wildcard *-help.pd) \
patcherize-plugin.tcl \
README.md LICENSE.md

datadirs =  

################################################################################
### pdlibbuilder ###############################################################
################################################################################


# Include Makefile.pdlibbuilder from this directory, or else from the general
# 'punish' folder

include $(firstword $(wildcard ../Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== punish/triggerize-plugin/Makefile ===
#!/usr/bin/make -f
# Makefile for pure data externals in lib creb.
# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)

lib.name = triggerize-plugin

# special file that does not provide a class
lib.setup.sources = 

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = triggerize.c

datafiles = \
$(wildcard *-help.pd) \
triggerize-plugin.tcl \
README.md LICENSE.md

datadirs =  

################################################################################
### pdlibbuilder ###############################################################
################################################################################


# Include Makefile.pdlibbuilder from this directory, or else from the general
# 'punish' folder

include $(firstword $(wildcard ../Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== debian/changelog ===
pd-iemutils (0.0.20161027-1) unstable; urgency=medium

  * New upstream version 0.0.20161027

  * Refreshed patches
    * Adjusted FLAGS
  * Install punish plugins
    * Mention patcherize/triggerize in description
  * Mention pd-gui-plugin for enabling gui-plugins
  * Updated d/copyright
  * Regenerated d/(control|copyright_hints)
  * Bumped standards-version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 27 Oct 2016 17:17:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: puredata-dev | puredata,
  cdbs (>= 0.4.91~),
- debhelper (>= 9~),
+ debhelper,
  dh-buildinfo,
- devscripts
-Standards-Version: 3.9.7
+ licensecheck
+Standards-Version: 3.9.8
 Homepage: https://git.iem.at/pd/iem_utils
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-iemutils.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-iemutils.git
@@ -32,7 +32,9 @@
  and a number of GUI plugins:
   - kiosk (run a patch in fullscreen without menubars)
   - patch2svg (export a Pd patch as an SVG graphics)
+  - patcherize (helps with refactoring patches into abstractions/subpatches)
   - tclprompt (adds an interactive Tcl/Tk prompt to the Pd screen)
+  - triggerize (insert [triggers] to avoid fan-outs)
 
 Package: pd-iem
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	^(iem_adaptfilt/doc/adapt_filt_lib\.pdf|debian/(changelog|copyright(|_hints|_newhints)))$
 
 build/pd-iemutils:: README.iem
-	make CFLAGS="-DPD $(CPPCFLAGS)" LDFLAGS="$(LDFLAGS) -export-dynamic -shared -fPIC" LD=$(CC) LIB="-lm"
+	make CFLAGS="-DPD $(CPPCFLAGS)" LDFLAGS="$(LDFLAGS) -fPIC" LD=$(CC) LIB="-lm"
 
 .PHONY: README.iem

## pd-iemutils 0.0.20180206

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 subprojects = iem_adaptfilt iem_dp iem_roomsim iem_spec2 iem_tab punish
 all: $(subprojects)
 
-.PHONY: all clean archive release dummy
+.PHONY: all clean archive release submodule update dummy
 .PHONY: $(subprojects)
 
 
@@ -10,7 +10,7 @@
 archivefile=$(library)-v$(version).tgz
 
 IEM_CFLAGS=-DPD $(CPPFLAGS) -fPIC $(CFLAGS)
-IEM_LDFLAGS=--export-dynamic -fPIC -shared $(LDFLAGS)
+IEM_LDFLAGS=-export-dynamic -fPIC -shared $(LDFLAGS)
 
 clean:
 	-find . -name "*.o" -delete
@@ -26,6 +26,13 @@
 release: $(archivefile)
 	git tag -m "released iem_utils $(version)" "v$(version)"
 
+submodule: .gitmodules
+	git submodule init
+	git submodule update
+update:
+	git submodule foreach git checkout master
+	git submodule foreach git pull
+
 %.tgz: dummy
 	-rm -f $@
 	tar --transform "s|^|$(@:.tgz=)/|" --exclude-vcs --exclude='.gitmodules' --exclude $@ -czf $@ *

=== punish/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-subprojects=patcherize triggerize
+subprojects=patcherize triggerize doublechord
 
 .PHONY: all $(subprojects)
 all: $(subprojects)

=== punish/triggerize-plugin/Makefile ===
#!/usr/bin/make -f
# Makefile for pure data externals in lib creb.
# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)
punish.name = triggerize

lib.name = $(punish.name)-plugin

# special file that does not provide a class
lib.setup.sources = 

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = $(punish.name).c

datafiles = \
$(punish.name)-plugin.tcl \
$(wildcard *-help.pd) \
README.md LICENSE.md

datadirs =  

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# Include Makefile.pdlibbuilder from this directory,
# or else from some user-defined folder
PDLIBBUILDER_DIR=./
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== debian/changelog ===
pd-iemutils (0.0.20180206-1) unstable; urgency=medium

  * New upstream version 0.0.20180206
    * Provides iem16 and doublechord
    * Dropped patches applied upstream

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 06 Feb 2018 12:50:12 +0100

pd-iemutils (0.0.20161027-3) unstable; urgency=medium

  * Use system-wide pd-lib-builder
  * Don't fail when building arch:all (Closes: #889629)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2018 14:33:52 +0100

pd-iemutils (0.0.20161027-2) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Enabled hardening
    * Dropped unneeded B-Ds
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Removed trailing whitespace in debian/*
  * Added DEP3 header to patches
  * Switched URLs to https://
  * Removed obsolete d/git-tuneclone.sh
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:15:47 +0100

=== debian/control ===
Source: pd-iemutils
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 puredata-dev | puredata,
 pd-lib-builder,
Standards-Version: 4.1.3
Homepage: https://git.iem.at/pd/iem_utils
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemutils.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemutils

Package: pd-iemutils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Provides:
 pd-iemtab, pd-iem-tab,
 pd-iem-adapfilt, pd-iem-roomsim, pd-iem-spec2, pd-iem16,
Replaces: pd-iemtab
Breaks: pd-iemtab
Description: collection of general purpose objects for Pure Data
 pd-iemutils consists of a number of independent libraries
  - iem_adaptfilt (adaptive filters)
  - iem_roomsim (room simluation)
  - iem_spec2 (optimized frequency domain processing)
  - iem_tab (table manipulation)
  - iem16 (16-bit tables and delay lines)
 and a number of GUI plugins:
  - kiosk (run a patch in fullscreen without menubars)
  - patch2svg (export a Pd patch as an SVG graphics)
  - patcherize (helps with refactoring patches into abstractions/subpatches)
  - tclprompt (adds an interactive Tcl/Tk prompt to the Pd screen)
  - triggerize (insert [triggers] to avoid fan-outs)
  - doublechord (duplicate connections just like objects)

Package: pd-iem
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-iemlib,
 pd-iemmatrix,
 pd-iemambi,
 pd-iemutils,
 pd-comport,
 pd-iemnet | pd-mrpeach-net,
 pd-osc,
 pd-zexy,
 pd-pduino,
 pd-windowing,
 pd-list-abs,
 pd-bsaylor,
 gem,
Description: Pure Data - the IEM flavour
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package installs all packages necessary for the "iem" flavour, a
 Pd-vanilla based distribution.

=== debian/watch ===
# Process with uscan
# to be processed with uscan(1)
#
## this is a bit special as git-repository only aggregates git-submodules,
## so we cannot download the tagged archive (as this is mostly empty).
## instead upstream creates a tarball which gets uploaded manually
version=3
  https://git.iem.at/pd/iem_utils/tags .*/uploads/[0-9a-f]*/.*-v(\d\S*)\.(?:tar\.xz|tar\.bz3|tar\.gz|zip|tgz)

## pd-iemutils 0.0.20180529

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 %.tgz: dummy
 	-rm -f $@
-	tar --transform "s|^|$(@:.tgz=)/|" --exclude-vcs --exclude='.gitmodules' --exclude $@ -czf $@ *
+	tar --transform "s|^|$(@:.tgz=)/|" --exclude-vcs --exclude='.*' --exclude='*.tgz' --exclude $@ -czf $@ *
 
 iem_adaptfilt punish:
 	$(MAKE) -C $@ \

=== debian/changelog ===
pd-iemutils (0.0.20180529-1) unstable; urgency=medium

  * New upstream version 0.0.20180529 (Closes: #890572)
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 May 2018 21:35:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-buildinfo,
  puredata-dev | puredata,
  pd-lib-builder,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://git.iem.at/pd/iem_utils
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemutils.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemutils

## pd-iemutils 0.0.20181004

=== iem16/Makefile ===
#!/usr/bin/make -f
# Makefile for pure data externals in lib creb.
# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)

lib.name = iem16

# special file that does not provide a class
lib.setup.sources = iem16.c

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = $(filter-out $(lib.setup.sources),$(wildcard *.c))

datafiles = \
$(wildcard *-help.pd) \
GnuGPL.LICENSE

datadirs =  examples

################################################################################
### pdlibbuilder ###############################################################
################################################################################


# Include Makefile.pdlibbuilder from this directory, or else from externals
# root directory in pd-extended configuration.

PDLIBBUILDER_DIR=pd-lib-builder
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder ../Makefile.pdlibbuilder))

=== iem_adaptfilt/Makefile ===
#!/usr/bin/make -f
# Makefile to the 'iem_adaptfilt' library for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules (https://github.com/pure-data/pd-lib-builder).

lib.name = iem_adaptfilt

## iemlib.h lives in include/
cflags  = -Iinclude

# special file that does not provide a class
lib.setup.sources = src/$(lib.name).c

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
# class.sources = $(filter-out $(lib.setup.sources),$(wildcard src/*.c))

class.sources = \
	src/NLMS~.c \
	src/NLMSerr_in~.c \
	src/NLMSCC~.c \
	src/n_CNLMS~.c \
	src/n_CLNLMS~.c \
	src/FXNLMSplus2in~.c \
	src/FXNLMSplus3in~.c \
	$(empty)

datafiles = \
	$(wildcard *.txt) \
	$(wildcard *.pdf) \
	$(wildcard *.pd) \
	$(wildcard *.gif) \
	$(wildcard *.bat) \
	$(wildcard *.sh) \
	$(wildcard *.wav) \
	$(empty)


#cflags = -DVERSION=$(shell cat VERSION.txt)

## build a multi-object library
make-lib-executable=yes

## suppress "unused" warnings
#suppress-wunused=yes

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder
PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== iem_roomsim/Makefile ===
#!/usr/bin/make -f
# Makefile to the 'iem_roomsim' library for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules (https://github.com/pure-data/pd-lib-builder).

lib.name = iem_roomsim

## iemlib.h lives in include/
cflags  = -Iinclude

# special file that does not provide a class
lib.setup.sources = src/$(lib.name).c

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
# class.sources = $(filter-out $(lib.setup.sources),$(wildcard src/*.c))

class.sources = \
	src/early_reflections_3d.c \
	src/early_reflections_2d.c \
	src/cart2del_damp_2d.c \
	src/cart2del_damp_3d.c \
	src/n_delay1p_line~.c \
	src/n_delay2p_line~.c \
	src/nz~.c \
	src/block_delay~.c \
	src/block_lp1~.c \
	src/block_peak_env~.c \
	$(empty)

datafiles = \
	$(wildcard *.txt) \
	$(wildcard *.pdf) \
	$(wildcard *.pd) \
	$(wildcard *.gif) \
	$(wildcard *.bat) \
	$(wildcard *.sh) \
	$(wildcard *.wav) \
	$(empty)


#cflags = -DVERSION=$(shell cat VERSION.txt)

## build a multi-object library
make-lib-executable=yes

## suppress "unused" warnings
#suppress-wunused=yes

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder
PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== iem_spec2/Makefile ===
#!/usr/bin/make -f
# Makefile to the 'iem_spec2' library for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules (https://github.com/pure-data/pd-lib-builder).

lib.name = iem_spec2

## iemlib.h lives in include/
cflags  = -Iinclude

# special file that does not provide a class
lib.setup.sources = src/$(lib.name).c

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
# class.sources = $(filter-out $(lib.setup.sources),$(wildcard src/*.c))

class.sources = \
	src/spec2_1p1z_freq~.c \
	src/spec2_1p1z_time~.c \
	src/spec2_abs~.c \
	src/spec2_add_scalar~.c \
	src/spec2_add~.c \
	src/spec2_block_delay~.c \
	src/spec2_clip_max~.c \
	src/spec2_clip_min~.c \
	src/spec2_dbtopow~.c \
	src/spec2_dbtorms~.c \
	src/spec2_matrix_bundle_stat~.c \
	src/spec2_mul_scalar~.c \
	src/spec2_mul~.c \
  	src/spec2_powtodb~.c \
	src/spec2_rmstodb~.c \
	src/spec2_shift~.c \
	src/spec2_sqrt~.c \
	src/spec2_stretch~.c \
	src/spec2_sub~.c \
	src/spec2_sum~.c \
	src/spec2_tab_conv~.c \
	src/spec2_tabreceive_enable~.c \
	src/spec2_tabreceive~.c \
	$(empty)

datafiles = \
	$(wildcard *.txt) \
	$(wildcard *.pdf) \
	$(wildcard *.pd) \
	$(wildcard *.gif) \
	$(wildcard *.bat) \
	$(wildcard *.sh) \
	$(wildcard *.wav) \
	$(empty)


#cflags = -DVERSION=$(shell cat VERSION.txt)

## build a multi-object library
make-lib-executable=yes

## suppress "unused" warnings
#suppress-wunused=yes

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder
PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== punish/Makefile ===
--- 
+++ 
@@ -10,3 +10,8 @@
 $(subprojects:%=%-clean):
 	$(MAKE) -C $(@:%-clean=%-plugin) clean
 
+.PHONY: install $(subprojects%=%-install)
+install: $(subprojects:%=%-install)
+$(subprojects:%=%-install):
+	$(MAKE) -C $(@:%-install=%-plugin) install
+

=== punish/doublechord-plugin/Makefile ===
#!/usr/bin/make -f
# Makefile for pure data externals in lib creb.
# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)
punish.name = doublechord

lib.name = $(punish.name)-plugin

# special file that does not provide a class
lib.setup.sources = 

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = $(punish.name).c

datafiles = \
$(punish.name)-plugin.tcl \
$(wildcard *-help.pd) \
README.md LICENSE.md

datadirs =  

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# Include Makefile.pdlibbuilder from this directory,
# or else from some user-defined folder
PDLIBBUILDER_DIR=./
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== punish/patcherize-plugin/Makefile ===
#!/usr/bin/make -f
# Makefile for pure data externals in lib creb.
# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)
punish.name = patcherize

lib.name = $(punish.name)-plugin

# special file that does not provide a class
lib.setup.sources = 

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = $(punish.name).c

datafiles = \
$(punish.name)-plugin.tcl \
$(wildcard *-help.pd) \
README.md LICENSE.md

datadirs =  

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# Include Makefile.pdlibbuilder from this directory,
# or else from some user-defined folder
PDLIBBUILDER_DIR=./
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== debian/changelog ===
pd-iemutils (0.0.20181004-1) unstable; urgency=medium

  * New upstream version 0.0.20181004
  * Updated d/copyright(|_hints)
  * Don't require root for building
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 04 Oct 2018 22:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  dh-buildinfo,
  puredata-dev | puredata,
  pd-lib-builder,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://git.iem.at/pd/iem_utils
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemutils.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemutils

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|\./iem_adaptfilt/doc/adapt_filt_lib\.pdf$

pkglibdir = /usr/lib/pd/extra

CPPFLAGS += -DPD -I/usr/include/pd
CFLAGS += -fPIC
LDFLAGS += -Wl,--export-dynamic -shared -fPIC -Wl,-as-needed

%:
	dh $@

override_dh_install:
	mkdir -p readmes
	cp iem_dp/README.txt readmes/README.iem_dp
	cp iem_roomsim/READ_ME.txt readmes/README.iem_roomsim
	cp iem_spec2/READ_ME.txt readmes/README.iem_spec2
	cp iem_tab/READ_ME.txt readmes/README.iem_tab
# the actual install
	dh_install
# fix permissions
	-find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_clean:
	dh_clean
	rm -rf readmes/

override_dh_auto_clean \
override_dh_auto_build \
override_dh_auto_test \
override_dh_auto_install:
	$(patsubst override_%,%,$@) -- \
		PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
		prefix=/usr pkglibdir=$(pkglibdir) \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		CC="$(CC)" LD="$(CC)"
		$(empty)

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## pd-iemutils 0.0.20210927

=== Makefile ===
--- 
+++ 
@@ -37,9 +37,6 @@
 	-rm -f $@
 	tar --transform "s|^|$(@:.tgz=)/|" --exclude-vcs --exclude='.*' --exclude='*.tgz' --exclude $@ -czf $@ *
 
-iem_adaptfilt punish:
+iem_adaptfilt iem_dp iem_roomsim iem_spec2 iem_tab punish:
 	$(MAKE) -C $@ \
 		$(empty)
-iem_dp iem_roomsim iem_spec2 iem_tab:
-	$(MAKE) -C $@/src -f makefile_linux \
-		CFLAGS="$(IEM_CFLAGS)" LDFLAGS="$(IEM_LDFLAGS)"

=== iem16/Makefile ===
--- 
+++ 
@@ -7,9 +7,15 @@
 # special file that does not provide a class
 lib.setup.sources = iem16.c
 
+# helper library
+shared.sources = \
+	iem16_delay.c \
+	iem16_table.c \
+	$(empty)
+
 # all other C and C++ files in subdirs are source files per class
 # (alternatively, enumerate them by hand)
-class.sources = $(filter-out $(lib.setup.sources),$(wildcard *.c))
+class.sources = $(filter-out $(lib.setup.sources) $(shared.sources),$(wildcard *.c))
 
 datafiles = \
 $(wildcard *-help.pd) \

=== iem_dp/Makefile ===
#!/usr/bin/make -f
# Makefile to the 'iemguts' library for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules (https://github.com/pure-data/pd-lib-builder).

lib.name = iem_dp

# special file that does not provide a class
lib.setup.sources = src/iem_dp.c

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = $(filter-out $(lib.setup.sources),$(wildcard src/*.c))

datafiles = \
 $(wildcard *.pd) \
 README.txt \
 GnuGPL.txt \
 LICENSE.txt \
 $(empty)


#cflags = -DVERSION=$(shell cat VERSION.txt)

## build a multi-object library
make-lib-executable=yes

## suppress "unused" warnings
#suppress-wunused=yes

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder
PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== iem_tab/Makefile ===
#!/usr/bin/make -f
# Makefile to the 'iem_tab' library for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules (https://github.com/pure-data/pd-lib-builder).

lib.name = iem_tab

## iemlib.h lives in include/
cflags  = -Iinclude

# special file that does not provide a class
lib.setup.sources = src/$(lib.name).c

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
# class.sources = $(filter-out $(lib.setup.sources),$(wildcard src/*.c))

class.sources = \
	src/tab_abs.c \
	src/tab_add.c \
	src/tab_add_scalar.c \
	src/tab_carth2polar.c \
	src/tab_complex_inv.c \
	src/tab_complex_mul.c \
	src/tab_const.c \
	src/tab_conv.c \
	src/tab_copy.c \
	src/tab_counter.c \
	src/tab_cross_corr.c \
	src/tab_dbtorms.c \
	src/tab_dbtopow.c \
	src/tab_div.c \
	src/tab_eq.c \
	src/tab_eq_scalar.c \
	src/tab_fft.c \
	src/tab_find_exact_peaks.c \
	src/tab_find_peaks.c \
	src/tab_ge.c \
	src/tab_ge_scalar.c \
	src/tab_gt.c \
	src/tab_gt_scalar.c \
	src/tab_get_size.c \
	src/tab_ifft.c \
	src/tab_le.c \
	src/tab_le_scalar.c \
	src/tab_lt.c \
	src/tab_lt_scalar.c \
	src/tab_max_index.c \
	src/tab_min_index.c \
	src/tab_min_max.c \
	src/tab_mul.c \
	src/tab_mul_scalar.c \
	src/tab_ne.c \
	src/tab_ne_scalar.c \
	src/tab_powtodb.c \
	src/tab_reverse.c \
	src/tab_rmstodb.c \
	src/tab_rfft.c \
	src/tab_rifft.c \
	src/tab_sqrt.c \
	src/tab_sub.c \
	src/tab_sum.c \
	$(empty)

datafiles = \
	$(wildcard *.txt) \
	$(wildcard *.pdf) \
	$(wildcard *.pd) \
	$(wildcard *.gif) \
	$(wildcard *.bat) \
	$(wildcard *.sh) \
	$(wildcard *.wav) \
	$(empty)


#cflags = -DVERSION=$(shell cat VERSION.txt)

## build a multi-object library
make-lib-executable=yes

## suppress "unused" warnings
#suppress-wunused=yes

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder
PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== patch2svg-plugin/po/Makefile ===

PACKAGE_NAME = patch to SVG
PACKAGE_VERSION = 1.0
TCLFILES = patch2svg-plugin.tcl

# we use all language files found here
POFILES=$(wildcard *.po)
MSGFILES=$(POFILES:.po=.msg)

TEMPLATE = patch2svg.pot
FILES = $(addprefix ../, $(TCLFILES))

# generate .msg files from the .po files
all: $(TEMPLATE) $(MSGFILES)

# refresh .po files from the template
clean:
	-rm -f -- $(MSGFILES)
	-rm -f -- $(POFILES:=~)
	-rm -f -- $(TEMPLATE)
distclean: clean

po: $(TEMPLATE) $(POFILES)

$(TEMPLATE): $(FILES)
	touch $(TEMPLATE)
	xgettext --join-existing \
		--from-code=UTF-8 --language=Tcl --keyword=_ \
		--sort-output --no-location --output=$(TEMPLATE) \
		--package-name="$(PACKAGE_NAME)" \
		--package-version=$(PACKAGE_VERSION) \
		--copyright-holder='This file is put in the public domain' \
		--foreign-user \
		--msgid-bugs-address=http://bugs.puredata.info \
		$(FILES)

$(POFILES): $(TEMPLATE)
	touch $@
	msgmerge --sort-output --no-fuzzy-matching --no-location --update $@ $(TEMPLATE)

%.msg: %.po
	msgfmt --check --tcl --locale=$* -d . $<


#install: $(MSGFILES)
#	install -d $(DESTDIR)
#	install $(MSGFILES) $(DESTDIR)
install:
	@echo "nothing to install"

=== punish/doublechord-plugin/Makefile ===
--- 
+++ 
@@ -25,5 +25,5 @@
 
 # Include Makefile.pdlibbuilder from this directory,
 # or else from some user-defined folder
-PDLIBBUILDER_DIR=./
+PDLIBBUILDER_DIR=pd-lib-builder
 include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== punish/patcherize-plugin/Makefile ===
--- 
+++ 
@@ -25,5 +25,5 @@
 
 # Include Makefile.pdlibbuilder from this directory,
 # or else from some user-defined folder
-PDLIBBUILDER_DIR=./
+PDLIBBUILDER_DIR=pd-lib-builder
 include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== punish/triggerize-plugin/Makefile ===
--- 
+++ 
@@ -25,5 +25,5 @@
 
 # Include Makefile.pdlibbuilder from this directory,
 # or else from some user-defined folder
-PDLIBBUILDER_DIR=./
+PDLIBBUILDER_DIR=pd-lib-builder
 include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== debian/changelog ===
pd-iemutils (0.0.20210927-2) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 27 Nov 2022 00:06:47 +0100

pd-iemutils (0.0.20210927-1) unstable; urgency=medium

  * New upstream version 0.0.20210927

  [ IOhannes m zmölnig (Debian/GNU) ]
  * d/watch: properly watch upstream packages
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Sep 2021 11:03:23 +0200

pd-iemutils (0.0.20181004-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix FTCBFS: Let dpkg's buildtools.mk initialize CC and friends.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #958134)
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Bump dh-compat to 12
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Apr 2020 18:32:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 13),
  dh-buildinfo,
+ pd-lib-builder,
  puredata-dev | puredata,
- pd-lib-builder,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://git.iem.at/pd/iem_utils
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemutils.git
@@ -18,14 +18,20 @@
 Package: pd-iemutils
 Architecture: any
 Depends:
+ puredata | pd,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata | pd,
 Provides:
- pd-iemtab, pd-iem-tab,
- pd-iem-adapfilt, pd-iem-roomsim, pd-iem-spec2, pd-iem16,
-Replaces: pd-iemtab
-Breaks: pd-iemtab
+ pd-iem-adapfilt,
+ pd-iem-roomsim,
+ pd-iem-spec2,
+ pd-iem-tab,
+ pd-iem16,
+ pd-iemtab,
+Replaces:
+ pd-iemtab,
+Breaks:
+ pd-iemtab,
 Description: collection of general purpose objects for Pure Data
  pd-iemutils consists of a number of independent libraries
   - iem_adaptfilt (adaptive filters)
@@ -44,23 +50,23 @@
 Package: pd-iem
 Architecture: all
 Depends:
+ puredata | pd,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata | pd,
 Recommends:
+ gem,
+ pd-bsaylor,
+ pd-comport,
+ pd-iemambi,
  pd-iemlib,
  pd-iemmatrix,
- pd-iemambi,
+ pd-iemnet | pd-mrpeach-net,
  pd-iemutils,
- pd-comport,
- pd-iemnet | pd-mrpeach-net,
+ pd-list-abs,
  pd-osc,
- pd-zexy,
  pd-pduino,
  pd-windowing,
- pd-list-abs,
- pd-bsaylor,
- gem,
+ pd-zexy,
 Description: Pure Data - the IEM flavour
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 #enable hardening
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-	^\./\.git/.*|\./debian/|\./iem_adaptfilt/doc/adapt_filt_lib\.pdf$
+
+-include /usr/share/dpkg/buildtools.mk
 
 pkglibdir = /usr/lib/pd/extra
 
@@ -48,8 +48,14 @@
 		CC="$(CC)" LD="$(CC)"
 		$(empty)
 
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|iem_adaptfilt/doc/adapt_filt_lib\.pdf
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints

## pd-iemutils 0.0.20240903

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 subprojects = iem_adaptfilt iem_dp iem_roomsim iem_spec2 iem_tab punish
 all: $(subprojects)
 
-.PHONY: all clean archive release submodule update dummy
+.PHONY: all archive release submodule update dummy
 .PHONY: $(subprojects)
 
 
@@ -12,11 +12,15 @@
 IEM_CFLAGS=-DPD $(CPPFLAGS) -fPIC $(CFLAGS)
 IEM_LDFLAGS=-export-dynamic -fPIC -shared $(LDFLAGS)
 
-clean:
+.PHONY: clean $(subprojects:%=%_clean)
+clean: $(subprojects:%=%_clean)
 	-find . -name "*.o" -delete
 	-find . -name "*.pd_*" -delete
 	-find . -name "*.dll" -delete
+	-find . -name "*.so" -delete
 	-find . -name "*.tgz" -delete
+$(subprojects:%=%_clean):
+	make -C $(@:%_clean=%) clean
 
 dummy:
 	@echo -n
@@ -40,3 +44,8 @@
 iem_adaptfilt iem_dp iem_roomsim iem_spec2 iem_tab punish:
 	$(MAKE) -C $@ \
 		$(empty)
+
+.PHONY: install $(subprojects:%=%_install)
+install: $(subprojects:%=%_install)
+$(subprojects:%=%_install):
+	make -C $(@:%_install=%) install

=== punish/doublechord-plugin/Makefile ===
--- 
+++ 
@@ -25,5 +25,5 @@
 
 # Include Makefile.pdlibbuilder from this directory,
 # or else from some user-defined folder
-PDLIBBUILDER_DIR=pd-lib-builder
+PDLIBBUILDER_DIR=../pd-lib-builder
 include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== punish/patcherize-plugin/Makefile ===
--- 
+++ 
@@ -25,5 +25,5 @@
 
 # Include Makefile.pdlibbuilder from this directory,
 # or else from some user-defined folder
-PDLIBBUILDER_DIR=pd-lib-builder
+PDLIBBUILDER_DIR=../pd-lib-builder
 include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== punish/triggerize-plugin/Makefile ===
--- 
+++ 
@@ -25,5 +25,5 @@
 
 # Include Makefile.pdlibbuilder from this directory,
 # or else from some user-defined folder
-PDLIBBUILDER_DIR=pd-lib-builder
+PDLIBBUILDER_DIR=../pd-lib-builder
 include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== debian/changelog ===
pd-iemutils (0.0.20240903-2) unstable; urgency=medium

  * Team Upload
  * Drop dh-buildinfo dummy dependency
  * Bumped standards version to 4.7.2.
  * Drop "Rules-Require-Root: no": it is the default now

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 16:54:23 +0200

pd-iemutils (0.0.20240903-1) unstable; urgency=medium

  * New upstream version 0.0.20240903
    (Closes: #1066502)
    + Drop obsolete patches
  * Backported patch for Pd64 compatibility
  * Adjust to upstream file renames
  * Use buildsystem's 'install'
  * Switch buildsystem to "pd-lib-builder"
  * Switch to dh-sequence-puredata
    + Add puredata:Provides stanza
  * Update copyright information
    + Re-generate d/copyright_hints
    + Bump copyright dates
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Sep 2024 14:42:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,8 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
- pd-lib-builder,
- puredata-dev | puredata,
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+ dh-sequence-puredata,
+Standards-Version: 4.7.2
 Homepage: https://git.iem.at/pd/iem_utils
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemutils.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemutils
@@ -18,9 +15,13 @@
 Package: pd-iemutils
 Architecture: any
 Depends:
- puredata | pd,
  ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Provides:
  pd-iem-adapfilt,
  pd-iem-roomsim,
@@ -28,6 +29,7 @@
  pd-iem-tab,
  pd-iem16,
  pd-iemtab,
+ ${puredata:Provides},
 Replaces:
  pd-iemtab,
 Breaks:

=== debian/watch ===
# Process with uscan
# to be processed with uscan(1)
#
## this is a bit special as git-repository only aggregates git-submodules,
## so we cannot download the tagged archive (as this is mostly empty).
## instead upstream creates a tarball which gets uploaded manually
## and we query the API to get all the releases...
## unfortunately the result is in JSON
#
## see also https://salsa.debian.org/utopia-team/upower/-/blob/debian/master/debian/watch
version=4
  opts="searchmode=plain" \
  https://git.iem.at/api/v4/projects/42/releases \
  https://git.iem.at/api/v4/projects/42/packages/generic/iem_utils/[0-9\.]*/iem_utils@ANY_VERSION@\.tar\.gz
